Subject: Re: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Maneesh Yadav <[email-masked]>
Date: Fri, 20 Nov 2015 14:07:58 -0800

Indeed, I run into it frequently enough it causes pain.

When I replicated the bug for this report, I did it right after emacs
started (and I was in scratch buffer) FWIW; so idling (in this case)
wasn't necessary.  I'll try one of the other mac emacs versions.

I've tried it a few times just now and haven't been able to make it
occur again (though it happens on its own often enough that I know
I'll see it again soon).

On Fri, Nov 20, 2015 at 1:55 PM, John Wiegley <[email-masked]> wrote:
>>>>>> Maneesh Yadav <[email-masked]> writes:
>
>> Thanks so much for your fast response, I hope this is real bug. I held off
>> on reporting it for awhile since I wanted to be sure it wasn't something
>> idiotic I am doing.
>
> I'm pretty sure it's a real bug, since I've encountered it before too. I was
> forced to "kill -9 PID" to restart Emacs. It used to happen to me at least
> once a day, and always after having left Emacs idle for a while.
>
> I wonder, does it also happen if you try the 'Mac port' version of Carbon
> Emacs, by Yamamoto Matsuhiro? See:
>
>     ftp://ftp.math.s.chiba-u.ac.jp/emacs/
>
> I think that may have been how I resolved it here, and I haven't switched back
> to Cocoa yet.
>
> John